#!/bin/bash

if [ ! "$BASH_VERSION" ] ; then
    bash $0 $1 $2 $3 $4 $5 $6 $7 $8 $9
    exit 1
fi

wxRed=$(tput setaf 196)
wxGreen=$(tput setaf 46)
wxYellow=$(tput setaf 226)
wxBlue=$(tput setaf 21)
wxPurple=$(tput setaf 165)
wxTurquoise=$(tput setaf 14)
wxPink=$(tput setaf 198)
wxOrange=$(tput setaf 202)
wxUnderline=$(tput smul)
wxBold=$(tput bold)
wxNormal=$(tput sgr0)

declare -Ax config

{{ FUNCTIONS }}
{{ COMMANDS }}

wx-start
if [[ ! -z $1 ]] && [[ $(type -t wx-$1) == function ]]
then
    wx-$1 $2 $3 $4 $5 $6 $7 $8 $9
else
    wx-welcome
fi
wx-stop
